%global pypi_name tox

Name:           python-tox
Version:        3.25.1
Release:        %mkrel 1
Summary:        Virtualenv-based automation of test activities
Group:          Development/Python
# file toxbootstrap.py is licensed under MIT License
License:        GPLv2+ and MIT
URL:            https://pypi.org/project/tox/
Source0:        %{pypi_name}-%{version}.tar.xz
Patch0:         tox-3.25.1-no-minimum-version.patch
BuildArch:      noarch

%description
Tox as is a generic virtualenv management and test command line tool you
can use for:

 - checking your package installs correctly with different Python versions
   and interpreters
 - running your tests in each of the environments, configuring your test tool
   of choice
 - acting as a frontend to Continuous Integration servers, greatly reducing
   boilerplate and merging CI and shell-based testing.

%package -n python3-%{pypi_name}
Summary:        Virtualenv-based automation of test activities
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-py
BuildRequires:  python3-pytest
BuildRequires:  python3-virtualenv
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	python3-py
Requires:	python3-pluggy
Requires:	python3-virtualenv

%description -n python3-%{pypi_name}
Tox as is a generic virtualenv management and test command line tool you
can use for:

 - checking your package installs correctly with different Python versions
   and interpreters
 - running your tests in each of the environments, configuring your test tool
   of choice
 - acting as a frontend to Continuous Integration servers, greatly reducing
   boilerplate and merging CI and shell-based testing.

%prep
%setup -qn %{pypi_name}-%{version}
%apply_patches

# remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-tox
%doc docs/*.rst LICENSE
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}-quickstart
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sat Aug 20 2022 TerryN <terryn94 at gmail.com> 3.25.1-1pclos2022
- import for python 3.10
